'Compilable Example:
#Compiler PBWin 10
#Compile Exe  "gbgauge.exe"
#Dim All
%Unicode = 1
#Include "Win32API.inc"

Enum Equates Singular
   IDC_Graphic
   ID_Timer
End Enum

$Ver = "1.0"

Global hDlg As Dword
Global hGraphicDC As Dword
Global gBMP, gDC As Dword, gW,gH As Long
Global rBMP, rDC As Dword
Global sBMP, sDC As Dword, sW,sH As Long
Global Theta As Single

'gW gH = gauge image w/h
'sW sH = sprite image w/h
'rW rH = rotated sprite image w/h

Function PBMain() As Long
   Dialog New Pixels, 0, "gbGauge - Animated Gauge      v" + $Ver,300,300,200,250, %WS_OverlappedWindow To hDlg
   LoadImages            'gauge and sprite (needle)
   CreateGraphicControl
   Dialog Show Modal hDlg Call DlgProc
End Function

CallBack Function DlgProc() As Long
   Select Case Cb.Msg
      Case %WM_InitDialog
         Theta = -3.14 * 0.80
         SetTimer hDlg, %ID_Timer, 5, 0
      Case %WM_Timer
         Theta += 0.015 : If Theta > 3.14 * 0.775 Then Theta = -3.14 * 0.80
         ShowGauge
      Case %WM_Command
         Select Case Cb.Ctl
         End Select
   End Select
End Function

Sub CreateGraphicControl
   Control Add Graphic, hDlg, %IDC_Graphic,"Push", 0,0,200,200
   Graphic Attach hDlg, %IDC_Graphic, ReDraw
   Graphic Get DC To hGraphicDC
   Control Set Size hDlg, %IDC_Graphic, gW,gH
   Dialog Set Client hDlg, gW, gH
End Sub

Sub LoadImages
   'gauge
   Graphic Bitmap Load "gauge.bmp", 0, 0 To gBMP
   Graphic Attach gBMP, 0
   Graphic Get DC To gDC
   Graphic Get Canvas To gW,gH
   'sprite (arrow in gauge)
   Graphic Bitmap Load "sprite.bmp", 0, 0 To sBMP
   Graphic Attach sBMP, 0
   Graphic Color %Black, %Black
   Graphic Get DC To sDC
   Graphic Get Canvas To sW,sH
   'rotation bitmap
   Graphic Bitmap New sW,sH To rBMP
   Graphic Attach rBMP, 0
   Graphic Color %Black, %Black
   Graphic Get DC To rDC
End Sub

Sub ShowGauge
   Local i,x,y,XCenter, YCenter As Long
   Dim PlgPts(0 To 2) As PointAPI

   'background
   Graphic Clear
   Graphic Copy gBMP, 0

   'rotation of original bitmap to a temporary memory bitmap
   XCenter = sW/2 : YCenter = sH/2
   x = 0 : y = 0   'point in original bitmap
   PlgPts(0).X = XCenter + (x - XCenter) * Cos(theta) - (y - YCenter) * Sin(theta)  'upper-left in target
   PlgPts(0).Y = YCenter + (x - XCenter) * Sin(theta) + (y - YCenter) * Cos(theta)
   x = sW : y = 0   'point in original bitmap
   PlgPts(1).X = XCenter + (x - XCenter) * Cos(theta) - (y - YCenter) * Sin(theta)  'upper-right in target
   PlgPts(1).Y = YCenter + (x - XCenter) * Sin(theta) + (y - YCenter) * Cos(theta)
   x = 0 : y = sH   'point in original bitmap
   PlgPts(2).X = XCenter + (x - XCenter) * Cos(theta) - (y - YCenter) * Sin(theta)  'lower left in target
   PlgPts(2).Y = YCenter + (x - XCenter) * Sin(theta) + (y - YCenter) * Cos(theta)

   Graphic Attach rBMP, 0
   Graphic Clear
   PlgBlt(rDC, PlgPts(0), sDC, 0, 0, sW, sH, 0&, 0, 0)  ' Draw rotated image

   'place rotated bitmap into the main graphic
   Graphic Attach hDlg, %IDC_Graphic, ReDraw
   TransparentBlt hGraphicDC,gW/2-sW/2,gH/2-sH/2,sW,sH,rDC,0,0,sW,sH,%Black
   Graphic Ellipse (gW/2-15,gH/2-15)-(gW/2+15,gH/2+15),,%Red,%Red
   Graphic ReDraw
End Sub
